org.apache.fop.render.intermediate

## Class IFGraphicContext.Group

- java.lang.Object
- - org.apache.fop.render.intermediate.IFGraphicContext.Group

Direct Known Subclasses:
  IFGraphicContext.Viewport

Enclosing class:
  IFGraphicContext

    public static class IFGraphicContext.Group
    extends Object

a group

### Constructor Summary

Constructors
Constructor and Description
`Group()` Default constructor.
`Group(AffineTransform transform)` Construct a Group.
`Group(AffineTransform[] transforms)` Construct a Group.
`Group(String layer)` Construct a layer Group, i.e., a Group with no transforms but with a optional content group layer label.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `end(IFPainter painter)`
`String` `getLayer()`
`AffineTransform[]` `getTransforms()`
`void` `start(IFPainter painter)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Group

    public Group(AffineTransform[] transforms)

Construct a Group.

Parameters:
  `transforms` - an array of transforms

#### Group

    public Group(AffineTransform transform)

Construct a Group.

Parameters:
  `transform` - a transform

#### Group

    public Group(String layer)

Construct a layer Group, i.e., a Group with no transforms but with a optional content group layer label.

Parameters:
  `layer` - a layer label

#### Group

    public Group()

Default constructor.

### Method Detail

#### getTransforms

    public AffineTransform[] getTransforms()

Returns:
  array of transforms

#### getLayer

    public String getLayer()

Returns:
  layer

#### start

    public void start(IFPainter painter)
               throws IFException

Parameters:
  `painter` - a painter
Throws:
  `IFException` - in not caught

#### end

    public void end(IFPainter painter)
             throws IFException

Parameters:
  `painter` - a painter
Throws:
  `IFException` - in not caught

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`